Bug 342911 - multiarch conflicts in poker-eval
multiarch conflicts in poker-eval
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: poker-eval (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-19 17:54 EDT by Bill Nottingham
Modified: 2014-03-16 23:10 EDT (History)
2 users (show)

See Also:
Fixed In Version: 134.0-3.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 22:44:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-10-19 17:54:08 EDT
poker-eval (or one of its subpacakges) has multiarch conflicts when installed for both i386 and x86_64 in the Fedora development tree. For help in resolving them, see http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks. 

  file /usr/include/poker-eval/poker_config.h from install of poker-eval-devel-134.0-1.fc8 conflicts with file from package poker-eval-devel-134.0-1.fc8

(Note that this is an automated bug filing.)
It would be nice to have these bugs fixed by the beta of Fedora 9.
Comment 1 Bug Zapper 2008-05-13 23:37:20 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Christopher Stone 2008-05-24 00:27:31 EDT
Note to self:  Use __WORDSIZE in bits/wordsize.h to solve this problem.
Details of conflict:
--- poker-eval-devel-134.0-2.fc9/usr/include/poker-eval/poker_config.h 
2008-02-21 17:19:32.000000000 -0800
+++ /usr/include/poker-eval/poker_config.h      2008-02-21 17:20:21.000000000 -0800
@@ -42,7 +42,7 @@

 #ifndef SIZEOF_LONG
 /* The size of a `long', as computed by sizeof. */
-#define SIZEOF_LONG 4
+#define SIZEOF_LONG 8
 #endif /* SIZEOF_LONG */
Comment 3 Christopher Stone 2008-05-24 01:13:14 EDT
After further analysis, SIZEOF_LONG is only used in poker_defs.h.  Fedora has
uint64_t so fedora does not need this part of the code.  Creating a patch to
simply remove the SIZEOF_LONG from poker_config.h and poker_defs.h.
Comment 4 Fedora Update System 2008-05-24 19:52:15 EDT
poker-eval-134.0-3.fc9 has been submitted as an update for Fedora 9
Comment 5 Fedora Update System 2008-05-28 22:44:43 EDT
poker-eval-134.0-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.